Michael de Silva's Blog

Software Engineer. Rubyist and Roboticist.

Michael de Silva's Blog

Software Engineer. Rubyist and Roboticist.

linecache19 and ruby-debug19 install error in OS X

Update

This issue still presents itself even in Lion with ruby-1.9.2-p290, however, I'm sure most have moved onto ruby 1.9.3.

Original Post

Whilst working on a project I decided to setup a gemset and did the usual rails install (in this case v3.0.9) and on running bundle ran into an error with linecache19, similar to this one posted on Stackoverflow.

gem install linecache19 -- --with-ruby-include=$rvm_path/src/ruby-1.9.2-p290/
gem install ruby-debug19 -- --with-ruby-include=$rvm_path/src/ruby-1.9.2-p290/

Running bundle one more time went through as expected. Great.

comments powered by Disqus